| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Member Functions | List of all members
stan::VectorBuilderHelper< T1, used, is_vec > Class Template Reference

VectorBuilder allocates type T1 values to be used as intermediate values. More...

`#include <VectorBuilder.hpp>`

## Public Member Functions
| VectorBuilderHelper (size_t)
T1 & | operator[] (size_t)

## Detailed Description

### template<typename T1, bool used, bool is_vec>
class stan::VectorBuilderHelper< T1, used, is_vec >

VectorBuilder allocates type T1 values to be used as intermediate values.

There are 2 template parameters:

- used: boolean variable indicating whether this instance is used. If this is false, there is no storage allocated and operator[] throws.
- is_vec: boolean variable indicating whether this instance should allocate a vector, if it is used. If this is false, the instance will only allocate a single double value. If this is true, it will allocate the number requested. Note that this is calculated based on template parameters T2 through T7.

These values are mutable.

Definition at line 28 of file VectorBuilder.hpp.

## Constructor & Destructor Documentation

template<typename T1, bool used, bool is_vec>

stan::VectorBuilderHelper< T1, used, is_vec >::VectorBuilderHelper | ( | size_t |  | ) |
| inline explicit

Definition at line 30 of file VectorBuilder.hpp.

## Member Function Documentation

template<typename T1, bool used, bool is_vec>

T1& stan::VectorBuilderHelper< T1, used, is_vec >::operator[] | ( | size_t |  | ) |
| inline

Definition at line 31 of file VectorBuilder.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/scal/meta/VectorBuilder.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.